Database Schema Installation

Supported Databases

FlexDeploy requires one of the following databases to be installed and running.

  • Oracle XE, version 11.2
  • Oracle Standard, version 11.2
  • Oracle Enterprise, version 11.2
  • Oracle Standard, version 12.1
  • Oracle Enterprise, version 12.1

Installation Instructions

Execute the following instructions to create and populate the required database schemas.

From the download directory, navigate to the Database directory, and run the following SQL scripts using sqlplus (NOTE: requires running as a user like system or sys with privileges to create users and objects within those schema users):

  • CreateFlexDeploySchemas.sql <password>
    • password – the password to use for FD, FF, and FD_ADMIN users, which are created by this script.
    • Example: @CreateFlexDeploySchemas.sql welcome1
    • Results are automatically spooled to a file called CreateFlexDeploySchemas.out
  • LoadFlexDeployMasterData.sql
    • Example: @LoadFlexDeployMasterData.sql
    • Results are automatically spooled to a file called LoadFlexDeployMasterData.out

 

Next Step      Back